## XdgAppRemote XdgAppRemote — Remote repository |

## Functions

GFile * | xdg_app_remote_get_appstream_dir ()
GFile * | xdg_app_remote_get_appstream_timestamp ()
gboolean | xdg_app_remote_get_gpg_verify ()
const char * | xdg_app_remote_get_name ()
gboolean | xdg_app_remote_get_noenumerate ()
int | xdg_app_remote_get_prio ()
char * | xdg_app_remote_get_title ()
char * | xdg_app_remote_get_url ()

## Properties

gchar * | name | Read / Write

## Types and Values

struct | XdgAppRemote

## Object Hierarchy

        GObject
        ╰── XdgAppRemote

## Description

A XdgAppRemote object provides information about a remote repository (or short: remote) that has been configured.

At its most basic level, a remote has a name and the URL for the repository. In addition, they provide some additional information that can be useful when presenting repositories in a UI, such as a title, a priority or a "don't enumerate" flags.

To obtain XdgAppRemote objects for the configured remotes on a system, use `xdg_app_installation_list_remotes()` or `xdg_app_installation_get_remote_by_name()`.

## Functions

### xdg_app_remote_get_appstream_dir ()

    GFile *
    xdg_app_remote_get_appstream_dir (XdgAppRemote *self,
                                      const char *arch);

Returns the directory where this remote will store locally cached appstream information for the specified `arch` .

#### Parameters

self | a XdgAppRemote |
arch | which architecture to fetch (default: current architecture). | [nullable]

#### Returns

a GFile.

[transfer full]

### xdg_app_remote_get_appstream_timestamp ()

    GFile *
    xdg_app_remote_get_appstream_timestamp
                                   (XdgAppRemote *self,
                                    const char *arch);

Returns the timestamp file that will be updated whenever the appstream information has been updated (or tried to update) for the specified `arch` .

#### Parameters

self | a XdgAppRemote |
arch | which architecture to fetch (default: current architecture). | [nullable]

#### Returns

a GFile.

[transfer full]

### xdg_app_remote_get_gpg_verify ()

    gboolean
    xdg_app_remote_get_gpg_verify (XdgAppRemote *self);

Returns whether GPG verification is enabled for the remote.

#### Parameters

self | a XdgAppRemote |

#### Returns

whether GPG verification is enabled

### xdg_app_remote_get_name ()

    const char *
    xdg_app_remote_get_name (XdgAppRemote *self);

Returns the name of the remote repository.

#### Parameters

self | a XdgAppRemote |

#### Returns

the name.

[transfer none]

### xdg_app_remote_get_noenumerate ()

    gboolean
    xdg_app_remote_get_noenumerate (XdgAppRemote *self);

Returns whether this remote should be used to list applications.

#### Parameters

self | a XdgAppRemote |

#### Returns

whether the remote is marked as "don't enumerate"

### xdg_app_remote_get_prio ()

    int
    xdg_app_remote_get_prio (XdgAppRemote *self);

Returns the priority for the remote.

#### Parameters

self | a XdgAppRemote |

#### Returns

the priority

### xdg_app_remote_get_title ()

    char *
    xdg_app_remote_get_title (XdgAppRemote *self);

Returns the title of the remote.

#### Parameters

self | a XdgAppRemote |

#### Returns

the title.

[transfer full]

### xdg_app_remote_get_url ()

    char *
    xdg_app_remote_get_url (XdgAppRemote *self);

Returns the repository URL of this remote.

#### Parameters

self | a XdgAppRemote |

#### Returns

the URL.

[transfer full]

## Types and Values

### struct XdgAppRemote

    struct XdgAppRemote;

## Property Details

### The `“name”` property

      “name”                     gchar *

The name of the remote.

Flags: Read / Write

Default value: NULL